Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz
Class TerracottaToolkitBuilder

    java.lang.Object
      org.terracotta.quartz.TerracottaToolkitBuilder

    public class TerracottaToolkitBuilder

extends Object

Constructor Summary
`TerracottaToolkitBuilder()`

Method Summary
`TerracottaToolkitBuilder` | `addTunnelledMBeanDomain(String tunnelledMBeanDomain)`
`Toolkit` | `buildToolkit()`
`String` | `getTCConfigSnippet()`
`String` | `getTCConfigUrl()`
`Set<String>` | `getTunnelledMBeanDomains()`
`boolean` | `isConfigUrl()`
`boolean` | `isRejoin()`
`TerracottaToolkitBuilder` | `removeTunnelledMBeanDomain(String tunnelledMBeanDomain)`
`TerracottaToolkitBuilder` | `setRejoin(String rejoin)`
`TerracottaToolkitBuilder` | `setTCConfigSnippet(String tcConfig)`
`TerracottaToolkitBuilder` | `setTCConfigUrl(String tcConfigUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerracottaToolkitBuilder

    public TerracottaToolkitBuilder()

Method Detail

### buildToolkit

    public Toolkit buildToolkit()
                         throws IllegalStateException

  Throws:
    `IllegalStateException`

### addTunnelledMBeanDomain

    public TerracottaToolkitBuilder addTunnelledMBeanDomain(String tunnelledMBeanDomain)

### getTunnelledMBeanDomains

    public Set<String> getTunnelledMBeanDomains()

### removeTunnelledMBeanDomain

    public TerracottaToolkitBuilder removeTunnelledMBeanDomain(String tunnelledMBeanDomain)

### setTCConfigSnippet

    public TerracottaToolkitBuilder setTCConfigSnippet(String tcConfig)
                                                throws IllegalStateException

  Throws:
    `IllegalStateException`

### getTCConfigSnippet

    public String getTCConfigSnippet()

### setTCConfigUrl

    public TerracottaToolkitBuilder setTCConfigUrl(String tcConfigUrl)
                                            throws IllegalStateException

  Throws:
    `IllegalStateException`

### getTCConfigUrl

    public String getTCConfigUrl()

### isConfigUrl

    public boolean isConfigUrl()

### setRejoin

    public TerracottaToolkitBuilder setRejoin(String rejoin)

### isRejoin

    public boolean isRejoin()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.